ResultSet.Metadata (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.cql3

## Class ResultSet.Metadata

- java.lang.Object
- - org.apache.cassandra.cql3.ResultSet.Metadata

- Enclosing class:
    ResultSet

      public static class ResultSet.Metadata
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CBCodec<ResultSet.Metadata>` | `codec`
    `static ResultSet.Metadata` | `EMPTY`
    `java.util.List<ColumnSpecification>` | `names`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResultSet.Metadata(java.util.List<ColumnSpecification> names)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addNonSerializedColumn(ColumnSpecification name)`
    `ResultSet.Metadata` | `copy()`
    `void` | `setHasMorePages(PagingState pagingState)`
    `void` | `setSkipMetadata()`
    `java.lang.String` | `toString()`
    `int` | `valueCount()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### codec

          public static final CBCodec<ResultSet.Metadata> codec

    - #### EMPTY

          public static final ResultSet.Metadata EMPTY

    - #### names

          public final java.util.List<ColumnSpecification> names

  - ### Constructor Detail

    - #### ResultSet.Metadata

          public ResultSet.Metadata(java.util.List<ColumnSpecification> names)

  - ### Method Detail

    - #### copy

          public ResultSet.Metadata copy()

    - #### valueCount

          public int valueCount()

    - #### addNonSerializedColumn

          public void addNonSerializedColumn(ColumnSpecification name)

    - #### setHasMorePages

          public void setHasMorePages(PagingState pagingState)

    - #### setSkipMetadata

          public void setSkipMetadata()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 The Apache Software Foundation